EvolveConfig (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.evolve
Class EvolveConfig

    java.lang.Object
      com.sleepycat.persist.evolve.EvolveConfig

All Implemented Interfaces:
  Cloneable

    public class EvolveConfig

extends Object
implements Cloneable

Configuration properties for eager conversion of unevolved objects. This configuration is used with `EntityStore.evolve`.

See Also:
  `Class Evolution`

Constructor Summary
`EvolveConfig()` Creates an evolve configuration with default properties.

Method Summary
`EvolveConfig` | `addClassToEvolve(String entityClass)` Adds an entity class for a primary index to be converted.
`EvolveConfig` | `clone()` Returns a shallow copy of the configuration.
`EvolveConfig` | `cloneConfig()` Deprecated. As of JE 4.0.13, replaced by `clone()`.
`Set<String>` | `getClassesToEvolve()` Returns an unmodifiable set of the entity classes to be evolved.
`EvolveListener` | `getEvolveListener()` Returns the progress listener that is notified each time an entity is read.
`EvolveConfig` | `setEvolveListener(EvolveListener listener)` Sets a progress listener that is notified each time an entity is read.
`void` | `setEvolveListenerVoid(EvolveListener listener)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvolveConfig

    public EvolveConfig()

  Creates an evolve configuration with default properties.

Method Detail

### cloneConfig

    public EvolveConfig cloneConfig()

  Deprecated. As of JE 4.0.13, replaced by `clone()`.

  Returns a shallow copy of the configuration.

### clone

    public EvolveConfig clone()

  Returns a shallow copy of the configuration.

  Overrides:
    `clone` in class `Object`

### addClassToEvolve

    public EvolveConfig addClassToEvolve(String entityClass)

  Adds an entity class for a primary index to be converted. If no classes are added, all indexes that require evolution will be converted.

### getClassesToEvolve

    public Set<String> getClassesToEvolve()

  Returns an unmodifiable set of the entity classes to be evolved.

### setEvolveListener

    public EvolveConfig setEvolveListener(EvolveListener listener)

  Sets a progress listener that is notified each time an entity is read.

### setEvolveListenerVoid

    public void setEvolveListenerVoid(EvolveListener listener)

### getEvolveListener

    public EvolveListener getEvolveListener()

  Returns the progress listener that is notified each time an entity is read.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.